{% extends 'base.html' %}

{% load widget_tweaks %}

{% block content %}

<section>
    <div class="row">
        <div class="col-sm-6">
            <span id="nb_async" class="badge badge-pill badge-secondary"></span>
            <span class="texte-badge">asynchronous tasks</span>
            <br>
            <br>
        </div>
    </div>

    <table id="async_table" class="table table-striped table-bordered table-hover">
        <thead>
            <tr>
                <th>Description</th>
                <th>Openlink selected object</th>
                <th>Result</th>
                <th>Status</th>
                <th>User</th>
                <th>Start date</th>
                <th>End date</th>
                <th>Message</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td colspan="8" style="text-align: center">Loading ... </td>
            </tr>
        </tbody>
    </table>

    <button type="button" class="btn btn-secondary"><a onClick="javascript:history.go(-1);">Back</button>
    </div>
</section>

<script>
    $ ( document ).ready(function() {
        $.ajax({
            method: "GET",
            url: "/api/taskinfo/?project_id={{project.id}}",
            dataType: "json",
            success: function(data) {
                $( "#async_table tbody" ).empty();
                $( "#nb_async" ).text(data.length);
                $.each(data, function(i) {
                    var body = "<tr>";
                    body    += "<td>" + data[i].description + "</td>";
                    body    += "<td><u><a class=\"bread\" href=" + data[i].get_target_url + " target=\"_blank\">" + data[i].get_target_name + "</u></td>";
                    body    += "<td>" + data[i].result + "</td>";
                    body    += "<td>" + data[i].status + "</td>";
                    body    += "<td>" + data[i].get_author_name + "</td>";
                    body    += "<td>" + data[i].start_date + "</td>";
                    body    += "<td>" + data[i].end_date + "</td>";
                    body    += "<td>" + data[i].get_error + "</td>";
                    body    += "</tr>";
                    $( "#async_table tbody" ).append(body);
                });
                /*DataTables instantiation.*/
                $( "#async_table" ).DataTable({order: [[ 5, "desc" ]],});
            },
        });
        });
</script>
{% endblock %}